<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseShipRequest StructType
 * @subpackage Structs
 */
class JP_CruiseShipRequest extends AbstractStructBase
{
    /**
     * The SearchSegmentsShip
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentsShip
     */
    public $SearchSegmentsShip;
    /**
     * Constructor method for JP_CruiseShipRequest
     * @uses JP_CruiseShipRequest::setSearchSegmentsShip()
     * @param \StructType\JP_SearchSegmentsShip $searchSegmentsShip
     */
    public function __construct(\StructType\JP_SearchSegmentsShip $searchSegmentsShip = null)
    {
        $this
            ->setSearchSegmentsShip($searchSegmentsShip);
    }
    /**
     * Get SearchSegmentsShip value
     * @return \StructType\JP_SearchSegmentsShip|null
     */
    public function getSearchSegmentsShip()
    {
        return $this->SearchSegmentsShip;
    }
    /**
     * Set SearchSegmentsShip value
     * @param \StructType\JP_SearchSegmentsShip $searchSegmentsShip
     * @return \StructType\JP_CruiseShipRequest
     */
    public function setSearchSegmentsShip(\StructType\JP_SearchSegmentsShip $searchSegmentsShip = null)
    {
        $this->SearchSegmentsShip = $searchSegmentsShip;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CruiseShipRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
